clear all
set more off

cd "C:\Users\mzator\Desktop\JEBO\PostOnline"

use "JEBO_data", clear

* ##########
* TABLE 2
* ##########

* Panel A
foreach var in sexmaterials_ok3 divorce_easier homosex_ok pornlaws_ok otherfeel_impulses {
quiet eststo: xi3: reg `var'  liberal 
}


* Panel B
foreach var in nonmarital casualsex paidsex xrated_saw  sexfrequency_more1mon friendsex more_than0partner {
quiet eststo: xi3: reg `var'  liberal 
}

esttab using "Table2.csv", se r2 star(* 0.10 ** 0.05 *** 0.01) brackets replace nogaps
eststo clear

* ##########
* TABLE 3
* ##########

* Panel A
foreach var in sexmaterials_ok3 divorce_easier homosex_ok pornlaws_ok  otherfeel_impulses  {
quiet eststo: xi3: reg `var'  liberal if liberal != -1
}

* Panel B
foreach var in sexmaterials_ok3 divorce_easier  homosex_ok pornlaws_ok  otherfeel_impulses  {
quiet eststo: xi3: reg `var'  ~liberal if liberal != 1
}

esttab using "Table3.csv", se r2 star(* 0.10 ** 0.05 *** 0.01) brackets replace nogaps
eststo clear

* ##########
* TABLE 4 
* ##########

* Panel A
foreach var in     sexmaterials_ok3 divorce_easier homosex_ok pornlaws_ok otherfeel_impulses {
quiet eststo: xi3: reg `var'  liberal if gay
}

* Panel B
foreach var in     sexmaterials_ok3 divorce_easier homosex_ok pornlaws_ok otherfeel_impulses {
quiet eststo: xi3: reg `var'  liberal if lesbian
}

* Panel C
foreach var in      sexmaterials_ok3 divorce_easier homosex_ok pornlaws_ok otherfeel_impulses {
quiet eststo: xi3: reg `var'  liberal if homosexual == 0 & any == 1
}

esttab using "Table4.csv", se r2 star(* 0.10 ** 0.05 *** 0.01) brackets replace nogaps
eststo clear

* ##########
* Table 5
* ##########

foreach var in sexeduc_ok divorce_easier homosex_ok sexmaterials_ok3  pornlaws_ok otherfeel_sexedu otherfeel_premarital  percent_extramarital republican {
quiet eststo: xi3: reg `var'  liberal*frequent 
}
foreach var in sexeduc_ok divorce_easier homosex_ok sexmaterials_ok3  pornlaws_ok otherfeel_sexedu otherfeel_premarital  percent_extramarital republican {
quiet eststo: xi3: reg `var'  liberal*redstate  
}
esttab using "Table5.csv", se r2 star(* 0.10 ** 0.05 *** 0.01) brackets replace nogaps
eststo clear

* ###########
* Table 7
* ###########

gen never = services == "Never" if services != ""
gen yearly = services == "Once a year" if services != ""
gen weekly = services == "Once a week" if services != ""
gen monthly = services == "Once a month" if services != ""
gen multiple = services == "Multiple times a week" if services != ""
 
gen verysatisfied = satisfied_desc == "Very satisfied" if satisfied_desc != ""
gen satisfied = verys | satisfied_desc == "Satisfied"
gen slightlysatisfied = satisfied | satisfied_desc == "Slightly satisfied"
gen numbersatisfied = 4 if verys == 1
replace numbersatisfied = 3 if satisfied_desc == "Satisfied"
replace numbersatisfied = 2 if satisfied_desc == "Slightly satisfied"
replace numbersatisfied = 1 if satisfied_desc == "Not at all satisfied"
 
* Panel A 
foreach var in sexeduc_ok divorce_easier homosex_ok  sexmaterials_ok3  pornlaws_ok  otherfeel_sexedu otherfeel_premarital percent_extramarital republican verys {
quiet eststo: xi3: reg `var'  liberal if never
}
* Panel B
foreach var in sexeduc_ok divorce_easier homosex_ok  sexmaterials_ok3  pornlaws_ok  otherfeel_sexedu otherfeel_premarital percent_extramarital republican verys {
quiet eststo: xi3: reg `var'  liberal if yearly
}
* Panel C
foreach var in sexeduc_ok divorce_easier homosex_ok  sexmaterials_ok3  pornlaws_ok  otherfeel_sexedu otherfeel_premarital percent_extramarital republican verys {
quiet eststo: xi3: reg `var'  liberal if monthly
}
* Panel D
foreach var in sexeduc_ok divorce_easier homosex_ok  sexmaterials_ok3  pornlaws_ok  otherfeel_sexedu otherfeel_premarital percent_extramarital republican verys {
quiet eststo: xi3: reg `var'  liberal if weekly
}
* Panel E
foreach var in sexeduc_ok divorce_easier homosex_ok  sexmaterials_ok3  pornlaws_ok  otherfeel_sexedu otherfeel_premarital percent_extramarital republican verys  {
quiet eststo: xi3: reg `var'  liberal if multiple
}
esttab using "Table7.csv", se r2 star(* 0.10 ** 0.05 *** 0.01) brackets replace nogaps
eststo clear

* #########
* Table 8
* #########

* Panel A
quiet eststo: xi3: reg verysatis liberal
quiet eststo: xi3: reg verysatis liberal*frequent
quiet eststo: xi3: oprobit verysatis liberal
quiet eststo: xi3: oprobit verysatis liberal*frequent 

* Panel B
quiet eststo: xi3: reg verysatis liberal if liberal != 0
quiet eststo: xi3: reg verysatis liberal*frequent  if liberal != 0
quiet eststo: xi3: oprobit verysatis liberal if liberal != 0
quiet eststo: xi3: oprobit verysatis liberal*frequent  if liberal != 0

esttab using "Table8.csv", se r2 star(* 0.10 ** 0.05 *** 0.01) brackets replace nogaps margin
eststo clear


********************
* AES calculation
********************

* Table 2
	foreach var in percent_extramarital percent_std percent_samesex opercent_extramarital opercent_std opercent_samesex otherfeel_sexedu otherfeel_divorce otherfeel_premarital  otherfeel_teen otherfeel_extramarital otherfeel_samesex otherfeel_morals otherfeel_rape otherfeel_impulses otherfeel_porn otherfeel_std premaritalsex_ok sexeduc_ok divorce_easier teensex_ok extramaritalsex_ok  homosex_ok sexmaterials_ok sexmaterials_ok3  pornlaws_ok sexmaterials_ok2 sexmaterials_ok4  {
	quiet: sum `var' if liberal == 0
	scalar sd_`var' = r(sd)
	replace `var' = `var'/sd_`var'
	}
	
	stack  percent_extramarital liberal gay lesbian percent_std liberal gay lesbian percent_samesex liberal gay lesbian opercent_extramarital liberal gay lesbian opercent_std liberal gay lesbian opercent_samesex liberal gay lesbian otherfeel_sexedu liberal gay lesbian otherfeel_divorce liberal gay lesbian otherfeel_premarital liberal gay lesbian otherfeel_teen liberal gay lesbian otherfeel_extramarital liberal gay lesbian otherfeel_samesex liberal gay lesbian otherfeel_morals liberal gay lesbian otherfeel_rape liberal gay lesbian otherfeel_impulses liberal gay lesbian otherfeel_porn liberal gay lesbian otherfeel_std liberal gay lesbian premaritalsex_ok liberal gay lesbian sexeduc_ok liberal gay lesbian divorce_easier liberal gay lesbian teensex_ok liberal gay lesbian extramaritalsex_ok liberal gay lesbian homosex_ok liberal gay lesbian sexmaterials_ok liberal gay lesbian sexmaterials_ok3 liberal gay lesbian pornlaws_ok liberal gay lesbian sexmaterials_ok2 liberal gay lesbian sexmaterials_ok4 liberal gay lesbian, into (outcome liberal gay lesbian) clear

	preserve
	quiet xi3: reg outcome liberal*i._stack
	
	* Panel A Columns 5, 7, 8
	test _IliX_s18 + _IliX_s19 + _IliX_s20 + _IliX_s21 + _IliX_s22 + _IliX_s23 + _IliX_s24 + _IliX_s25 + _IliX_s26  = 0
	test _IliX_s7 + _IliX_s8 + _IliX_s9 + _IliX_s10 + _IliX_s11 + _IliX_s12 + _IliX_s13 + _IliX_s14 + _IliX_s15 + _IliX_s16 + _IliX_s17  = 0
	test (_IliX_s27  + _IliX_s28)/2 = 0
	restore
	
	* Panel B Column 8
	preserve
		use "JEBO_data", clear
		foreach var in percent_extramarital percent_std percent_samesex opercent_extramarital opercent_std opercent_samesex otherfeel_sexedu otherfeel_divorce otherfeel_premarital  otherfeel_teen otherfeel_extramarital otherfeel_samesex otherfeel_morals otherfeel_rape otherfeel_impulses otherfeel_porn otherfeel_std premaritalsex_ok sexeduc_ok divorce_easier teensex_ok extramaritalsex_ok  homosex_ok sexmaterials_ok sexmaterials_ok3  pornlaws_ok sexmaterials_ok2 sexmaterials_ok4 xrated_saw  ever_divorced more_than0partner nonmarital friendsex casualsex paidsex sexfrequency_more1mon {
		quiet: sum `var' if liberal == 0
		scalar sd_`var' = r(sd)
		replace `var' = `var'/sd_`var'
		}

		stack   xrated_saw liberal ever_divorced liberal more_than0partner liberal nonmarital liberal friendsex liberal casualsex liberal paidsex liberal sexfrequency_more1mon liberal, into (outcome liberal) clear

		quiet xi3: reg outcome liberal*i._stack
		test liberal + _IliX_s2 + _IliX_s3 +  _IliX_s4 + _IliX_s5 + _IliX_s6 + _IliX_s7 + _IliX_s8 = 0
	restore
	
* Table 3
	preserve
	drop if liberal == -1
	quiet xi3: reg outcome liberal*i._stack
	
	* Panel A, columns 5, 7, 8
	test _IliX_s18 + _IliX_s19 + _IliX_s20 + _IliX_s21 + _IliX_s22 + _IliX_s23 + _IliX_s24 + _IliX_s25 + _IliX_s26 = 0 
	test _IliX_s7 + _IliX_s8 + _IliX_s9 + _IliX_s10 + _IliX_s11 + _IliX_s12 + _IliX_s13 + _IliX_s14 + _IliX_s15 + _IliX_s16 + _IliX_s17  = 0
	test _IliX_s27  + _IliX_s28 = 0

	restore
	preserve
	drop if liberal == 1
	quiet xi3: reg outcome liberal*i._stack
	
	* Panel B, columns 5, 7, 8
	test _IliX_s18 + _IliX_s19 + _IliX_s20 + _IliX_s21 + _IliX_s22 + _IliX_s23 + _IliX_s24 + _IliX_s25 + _IliX_s26 = 0
	test _IliX_s7 + _IliX_s8 + _IliX_s9 + _IliX_s10 + _IliX_s11 + _IliX_s12 + _IliX_s13 + _IliX_s14 + _IliX_s15 + _IliX_s16 + _IliX_s17  = 0
	test _IliX_s27  + _IliX_s28 = 0

	restore
	
* Table 4
	preserve
	keep if gay ==1
	quiet xi3: reg outcome liberal*i._stack 

	* Panel A, Columns 5, 7, 8
	test _IliX_s18 + _IliX_s19 + _IliX_s20 + _IliX_s21 + _IliX_s22 + _IliX_s23 + _IliX_s24 + _IliX_s25 + _IliX_s26= 0
	test _IliX_s7 + _IliX_s8 + _IliX_s9 + _IliX_s10 + _IliX_s11 + _IliX_s12 + _IliX_s13 + _IliX_s14 + _IliX_s15 + _IliX_s16 + _IliX_s17  = 0
	test _IliX_s27  + _IliX_s28 = 0
	
	restore
	preserve
	keep if lesbian ==1
	quiet xi3: reg outcome liberal*i._stack 
	
	* Panel B, Columns 5, 7, 8
	test _IliX_s18 + _IliX_s19 + _IliX_s20 + _IliX_s21 + _IliX_s22 + _IliX_s23 + _IliX_s24 + _IliX_s25 + _IliX_s26 = 0
	test _IliX_s7 + _IliX_s8 + _IliX_s9 + _IliX_s10 + _IliX_s11 + _IliX_s12 + _IliX_s13 + _IliX_s14 + _IliX_s15 + _IliX_s16 + _IliX_s17  = 0
	test  _IliX_s27  + _IliX_s28 = 0

	restore
	preserve
	keep if gay == 0 & lesbian == 0 & liberal != 0
	quiet eststo: xi3: reg outcome liberal*i._stack 
	
	* Panel C, Columns 5, 7, 8
	test _IliX_s18 + _IliX_s19 + _IliX_s20 + _IliX_s21 + _IliX_s22 + _IliX_s23 + _IliX_s24 + _IliX_s25 + _IliX_s26 = 0
	test _IliX_s7 + _IliX_s8 + _IliX_s9 + _IliX_s10 + _IliX_s11 + _IliX_s12 + _IliX_s13 + _IliX_s14 + _IliX_s15 + _IliX_s16 + _IliX_s17  = 0
	test  _IliX_s27  + _IliX_s28 = 0

	restore
	
* Table 6
	* Frequently attend religious services
	use "JEBO_data", clear
	preserve
	keep if frequent == 1 
	foreach var in percent_extramarital percent_std percent_samesex opercent_extramarital opercent_std opercent_samesex otherfeel_sexedu otherfeel_divorce otherfeel_premarital  otherfeel_teen otherfeel_extramarital otherfeel_samesex otherfeel_morals otherfeel_rape otherfeel_impulses otherfeel_porn otherfeel_std premaritalsex_ok sexeduc_ok divorce_easier teensex_ok extramaritalsex_ok  homosex_ok sexmaterials_ok sexmaterials_ok3  pornlaws_ok sexmaterials_ok2 sexmaterials_ok4  {
	quiet: sum `var' if liberal == 0
	scalar sd_`var' = r(sd)
	replace `var' = `var'/sd_`var'
	}

	stack  percent_extramarital liberal gay lesbian percent_std liberal gay lesbian percent_samesex liberal gay lesbian opercent_extramarital liberal gay lesbian opercent_std liberal gay lesbian opercent_samesex liberal gay lesbian otherfeel_sexedu liberal gay lesbian otherfeel_divorce liberal gay lesbian otherfeel_premarital liberal gay lesbian otherfeel_teen liberal gay lesbian otherfeel_extramarital liberal gay lesbian otherfeel_samesex liberal gay lesbian otherfeel_morals liberal gay lesbian otherfeel_rape liberal gay lesbian otherfeel_impulses liberal gay lesbian otherfeel_porn liberal gay lesbian otherfeel_std liberal gay lesbian premaritalsex_ok liberal gay lesbian sexeduc_ok liberal gay lesbian divorce_easier liberal gay lesbian teensex_ok liberal gay lesbian extramaritalsex_ok liberal gay lesbian homosex_ok liberal gay lesbian sexmaterials_ok liberal gay lesbian sexmaterials_ok3 liberal gay lesbian pornlaws_ok liberal gay lesbian sexmaterials_ok2 liberal gay lesbian sexmaterials_ok4 liberal gay lesbian, into (outcome liberal gay lesbian) clear
	quiet xi3: reg outcome liberal*i._stack

	test _IliX_s18 + _IliX_s19 + _IliX_s20 + _IliX_s21 + _IliX_s22 + _IliX_s23 + _IliX_s24 + _IliX_s25 + _IliX_s26 = 0
	test _IliX_s7 + _IliX_s8 + _IliX_s9 + _IliX_s10 + _IliX_s11 + _IliX_s12 + _IliX_s13 + _IliX_s14 + _IliX_s15 + _IliX_s16 + _IliX_s17  = 0
	test liberal + _IliX_s2 + _IliX_s3  + _IliX_s4 + _IliX_s5 + _IliX_s6  = 0
	test _IliX_s27  + _IliX_s28 = 0

	restore
	
	* Attend less than weekly
	preserve
	keep if frequent == 0

	foreach var in percent_extramarital percent_std percent_samesex opercent_extramarital opercent_std opercent_samesex otherfeel_sexedu otherfeel_divorce otherfeel_premarital  otherfeel_teen otherfeel_extramarital otherfeel_samesex otherfeel_morals otherfeel_rape otherfeel_impulses otherfeel_porn otherfeel_std premaritalsex_ok sexeduc_ok divorce_easier teensex_ok extramaritalsex_ok  homosex_ok sexmaterials_ok sexmaterials_ok3  pornlaws_ok sexmaterials_ok2 sexmaterials_ok4  {
	quiet: sum `var' if liberal == 0
	scalar sd_`var' = r(sd)
	replace `var' = `var'/sd_`var'
	}

	stack  percent_extramarital liberal gay lesbian percent_std liberal gay lesbian percent_samesex liberal gay lesbian opercent_extramarital liberal gay lesbian opercent_std liberal gay lesbian opercent_samesex liberal gay lesbian otherfeel_sexedu liberal gay lesbian otherfeel_divorce liberal gay lesbian otherfeel_premarital liberal gay lesbian otherfeel_teen liberal gay lesbian otherfeel_extramarital liberal gay lesbian otherfeel_samesex liberal gay lesbian otherfeel_morals liberal gay lesbian otherfeel_rape liberal gay lesbian otherfeel_impulses liberal gay lesbian otherfeel_porn liberal gay lesbian otherfeel_std liberal gay lesbian premaritalsex_ok liberal gay lesbian sexeduc_ok liberal gay lesbian divorce_easier liberal gay lesbian teensex_ok liberal gay lesbian extramaritalsex_ok liberal gay lesbian homosex_ok liberal gay lesbian sexmaterials_ok liberal gay lesbian sexmaterials_ok3 liberal gay lesbian pornlaws_ok liberal gay lesbian sexmaterials_ok2 liberal gay lesbian sexmaterials_ok4 liberal gay lesbian, into (outcome liberal gay lesbian) clear
	quiet xi3: reg outcome liberal*i._stack

	test _IliX_s18 + _IliX_s19 + _IliX_s20 + _IliX_s21 + _IliX_s22 + _IliX_s23 + _IliX_s24 + _IliX_s25 + _IliX_s26 = 0
	test _IliX_s7 + _IliX_s8 + _IliX_s9 + _IliX_s10 + _IliX_s11 + _IliX_s12 + _IliX_s13 + _IliX_s14 + _IliX_s15 + _IliX_s16 + _IliX_s17  = 0
	test _IliX_s27  + _IliX_s28 = 0	
	test liberal + _IliX_s2 + _IliX_s3  + _IliX_s4 + _IliX_s5 + _IliX_s6  = 0

	restore


* ##########
* Figure 4
* ##########

use JEBO_graphdata.dta, clear
egen x_std_pre = cut(percent_std_pre), at(.10,.2,.3,.4,.50,.6,.7,.8,.90)

graph box diff_std, bar(1, color(black) fi(inten70)) bar(2, color(white) lcolor(black)) bar(3, color(gs7))  over(liberal, relabel(1 "Conservative" 2 "Placebo" 3 "Liberal")) asyvar plotr(m(l=8 r=8))  over(x_std_pre)  nofill nooutsides ytitle("Change in perceived STD prevalence in % points") title("Belief updating of STD prevalence") note("") name(BoxGraph, replace) 
kdensity percent_std_pre, bwidth(0.0512) lpattern(solid) lwidth(medthick) lcolor(black) plotr(m(l-2 r-2.5)) xlabel(0.1(0.1)0.8) xtitle("What percentage of the US population, do you think, has an STD?", size(medsmall)) title("Distribution of beliefs about STD prevalence") name(DistGraph, replace)
graph combine BoxGraph DistGraph, col(1) ysize(8) xcommon 
graph save Figure4, replace
